package com.huiju.estateagents.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组织订单明细 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrgOrderDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 明细类型 充值,退费,红包
     */
    private String itemType;

    /**
     * 关联对象 比如活动
     */
    private String targetType;

    /**
     * 对象ID
     */
    private String targetId;

    /**
     * 单价 单位分
     */
    private Integer unitPrice;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 金额 单位分
     */
    private Integer amount;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 接收人(小程序) 红包接收人
     */
    private String receiverId;

    /**
     * 接收人名称
     */
    private String receiverName;

    /**
     * 接收人公众号
     */
    private String receiverMpId;


}
